'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var reactBootstrap = require('react-bootstrap');

var TableLoading = function TableLoading(_ref) {
  var columns = _ref.columns,
      lines = _ref.lines,
      _ref$body = _ref.body,
      body = _ref$body === void 0 ? true : _ref$body;

  var _useState = React.useState([]),
      real_lines = _useState[0],
      setRealLines = _useState[1];

  React.useEffect(function () {
    var real_lines = [];

    var _loop = function _loop(x) {
      var qtd_column = [];
      (Array.isArray(columns) ? columns : Array.from({
        length: columns
      }, function () {
        return {
          min: 4,
          max: 12
        };
      })).map(function (_ref2) {
        var min = _ref2.min,
            max = _ref2.max;
        qtd_column.push(Math.floor(Math.random() * (max - min)) + min);
      });
      real_lines.push(qtd_column);
    };

    for (var x = 0; x < lines; x++) {
      _loop();
    }

    setRealLines(real_lines);
  }, [columns, lines]);

  var bodyRender = function bodyRender(component) {
    return body ? React__default.createElement("tbody", null, component) : React__default.createElement(React__default.Fragment, null, component);
  };

  return bodyRender(real_lines.map(function (real_line, real_line_index) {
    return React__default.createElement("tr", {
      key: real_line_index + 1
    }, real_line.map(function (qtd_column, qtd_column_index) {
      return React__default.createElement("td", {
        style: {
          cursor: "wait"
        },
        key: qtd_column_index
      }, React__default.createElement(reactBootstrap.Placeholder, {
        as: "div",
        animation: "glow"
      }, React__default.createElement(reactBootstrap.Placeholder, {
        xs: qtd_column
      })));
    }));
  }));
};

exports.TableLoading = TableLoading;
//# sourceMappingURL=react-bootstrap-table-loading.cjs.development.js.map
