import React, { useState, useEffect } from 'react';
import { Placeholder } from 'react-bootstrap';

var TableLoading = function TableLoading(_ref) {
  var columns = _ref.columns,
      lines = _ref.lines,
      _ref$body = _ref.body,
      body = _ref$body === void 0 ? true : _ref$body;

  var _useState = useState([]),
      real_lines = _useState[0],
      setRealLines = _useState[1];

  useEffect(function () {
    var real_lines = [];

    var _loop = function _loop(x) {
      var qtd_column = [];
      (Array.isArray(columns) ? columns : Array.from({
        length: columns
      }, function () {
        return {
          min: 4,
          max: 12
        };
      })).map(function (_ref2) {
        var min = _ref2.min,
            max = _ref2.max;
        qtd_column.push(Math.floor(Math.random() * (max - min)) + min);
      });
      real_lines.push(qtd_column);
    };

    for (var x = 0; x < lines; x++) {
      _loop();
    }

    setRealLines(real_lines);
  }, [columns, lines]);

  var bodyRender = function bodyRender(component) {
    return body ? React.createElement("tbody", null, component) : React.createElement(React.Fragment, null, component);
  };

  return bodyRender(real_lines.map(function (real_line, real_line_index) {
    return React.createElement("tr", {
      key: real_line_index + 1
    }, real_line.map(function (qtd_column, qtd_column_index) {
      return React.createElement("td", {
        style: {
          cursor: "wait"
        },
        key: qtd_column_index
      }, React.createElement(Placeholder, {
        as: "div",
        animation: "glow"
      }, React.createElement(Placeholder, {
        xs: qtd_column
      })));
    }));
  }));
};

export { TableLoading };
//# sourceMappingURL=react-bootstrap-table-loading.esm.js.map
